<template>
  <div class="d-flex flex-column">
    <div class="d-flex flex-column">
      <ValidationProvider
        name="input"
        rules="required"
        v-slot="{ errors }"
      >
       <v-text-field
          v-model="innerValue"
          :value="innerConfig.result.value"
          :error-messages="errors"
          label="Правильный ответ"
          outlined
        ></v-text-field> 
      </ValidationProvider>

    </div>
  </div>
</template>
<script>
import QuestionMixin from "@/mixins/Question.js";
import { extend } from 'vee-validate'
import { required } from 'vee-validate/dist/rules';
export default {
  mixins: [QuestionMixin],
  data: function() {
    return {
      innerValue: '',
    };
  },
  watch: {
    innerValue(v) {
      this.innerConfig.result = v;
      this.$emit('input', this.innerConfig);
    }
  },
  created() {
    if (!this.innerConfig.result) {
      this.innerConfig.result = '';
    }
  },
};
</script>